Subject: Re: pkg/28580: default pkgsrc perl58 won't build on 2.0
To: Johnny C. Lam <>
From: Wouter Schoot <>
List: pkgsrc-bugs
Date: 12/11/2004 22:47:45
Johnny C. Lam wrote:
>>a vanilla install of 2.0, with pkgsrc as of about 10 mins ago
>>won't build perl58 (threaded).  Setting PERL5_USE_THREADS=No
>>in /etc/mk.conf "fixes" it. The default is to build threaded perl58,
>>which chokes - see 25427
> I'm not able to reproduce this problem.  I did a vanilla install of
> 2.0 and used a current pkgsrc with an empty /etc/mk.conf, and perl58
> (threaded) built without errors.  Can you please test with a newer
> pkgsrc?  Also, do you have any unusual /etc/mk.conf settings?

I can reproduce it.

Just installed netbsd2 on amd64 from a home-built iso since TNF's iso 
doesn't boot.

Got pkgsrc, tried to compile lang58, but got:

uname -a gives:

NetBSD  2.0 NetBSD 2.0 (GENERIC) #0: Sat Dec 11 17:59:40 CET 2004 

Hope this helps to get it fixed, else I can supply access to my machine 
for research.